---
version: '3.5'
services:
  proxy:
    build:
      context: ./
    #command: ["nginx", "-g", "daemon off;"]
    hostname: &hostname shore.co.il
    networks:
      default:
        aliases:
          - *hostname
          - autoconfig.shore.co.il
    ports:
      - '80:80'
      - '443:443'
    restart: always
    volumes:
      - '/var/www/www.shore.co.il/.well-known/acme-challenge:/var/www/www.shore.co.il/.well-known/acme-challenge:ro'
      - '/var/ssl/site.key:/var/ssl/site.key:ro'
      - '/var/ssl/site.crt:/var/ssl/site.crt:ro'
      - '/var/ssl/dhparams:/var/ssl/dhparams:ro'

networks:
  default:
    name: shore
